package com.googlecode.alfresco.repository.query;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class Query implements Iterable<Object> {

	/* package */final List<Object> terms = new ArrayList<Object>();

	/**
	 * Creates a blank instance.
	 */
	public Query() {
	}

	/**
	 * Copy constructor.
	 *
	 * @param query
	 */
	public Query(final Query query) {
		this.terms.addAll(query.terms);
	}

	public void addTerm(final Object term) {
		terms.add(term);
	}

	public boolean isEmpty() {
		return terms.isEmpty();
	}

	@Override
	public Iterator<Object> iterator() {
		return terms.iterator();
	}

}
