package com.googlecode.alfresco.repository.node;

import org.alfresco.service.cmr.repository.NodeRef;

/**
 * Defines helper operations for working with repository nodes.
 *
 * @author Laurens Fridael
 *
 */
public interface NodeHelper {
	/**
	 * Obtains the path for a given Node as a String.
	 *
	 * @param nodeRef
	 * @return
	 * @throws IllegalArgumentException
	 *             If nodeRef is null.
	 */
	public String getPath(NodeRef nodeRef);
}
