package com.googlecode.alfresco.repository.node;

import org.alfresco.service.cmr.repository.Path;

/**
 * Defines helper operations for working with Path instances.
 *
 * @author Laurens Fridael
 *
 */
public interface PathHelper {

	/**
	 * Converts a path to a String. The returned format suitable for inclusion in query's.
	 *
	 * @param path
	 * @return
	 * @throws IllegalArgumentException If path is null.
	 */
	public String convertPathToString(Path path);

}
