package com.googlecode.alfresco.repository.query;

/**
 * Defines factory operations for creating {@link QueryBuilder} instances.
 *
 * @author Laurens Fridael
 *
 */
public interface QueryBuilderFactory {
	/**
	 * Creates a {@link QueryBuilder}.
	 *
	 * @return
	 */
	public QueryBuilder createQueryBuilder();
}
