package com.googlecode.alfresco.repository.query.impl;

import com.googlecode.alfresco.repository.query.QueryBuilder;
import com.googlecode.alfresco.repository.query.QueryBuilderFactory;

/**
 * {@link QueryBuilderFactory} implementation that creates {@link QueryBuilderImpl} instances.
 *
 * @author Laurens Fridael
 *
 */
public class QueryBuilderFactoryImpl implements QueryBuilderFactory {

	@Override
	public QueryBuilder createQueryBuilder() {
		return new QueryBuilderImpl();
	}

}
